<template>
  <header class="bg-white shadow-md h-12 z-50">
    <div class="container max-w-none h-full mx-auto flex justify-between items-center pl-4 pr-0">
      <Title/>
      <Button @click="drawer = true" text severity="secondary" icon="pi pi-bars">
      </Button>
    </div>
    <Drawer
      v-model:visible="drawer"
      :append-to-body="true"
      size="66%"
    >
      <nav class="menu flex flex-col px-4">
        <Logo class="flex-grow-0 self-start -ml-2 mb-8 -mt-6"/>
        <ul class="flex flex-col">
          <li v-for="link in navigationLinks" :key="link.url" class="py-3">
            <a :href="link.url" target="_blank">{{ link.label }}</a>
          </li>
        </ul>
      </nav>
      <div class="flex flex-col mt-auto px-4 pt-4 text-sm text-gray-400">
        <p>Frontend Version: {{version}}</p>
        <p v-if="apiVersion"> API Version: {{apiVersion}}</p>
        <a class="mt-2" href="https://adw-goe.de/germania-sacra/klosterdatenbank/datenservice" target="_blank">API Dokumentation</a>
      </div>
    </Drawer>
  </header>
</template>

<script>
import Title from '@/components/Title.vue';
import Logo from '@/components/Logo.vue';
import navigation from '@/mixins/navigation';

export default {
  name: 'HeaderMobile',
  components: {
    Title,
    Logo,
  },
  data: () => {
    return {
      drawer: false,
    };
  },
  computed: {
    version () {
      if (APP_VERSION) {
        return APP_VERSION;
      }
      return '';
    },
    apiVersion () {
      return this.$store.state.apiVersion;
    },
    navigationLinks () {
      return navigation.links;
    },
  },
  mounted () {
    this.$store.dispatch('getApiVersion');
  },
};
</script>

<style scoped>
:deep(.el-drawer__header) {
  @apply m-0;
}

:deep(.el-drawer__body) {
  @apply flex flex-col pb-4;
}

.menu-button {
  width: 56px;
  @apply py-4 px-4;
  &:active, &:focus, &:hover {
    @apply bg-none shadow-none border-none;
    outline: none;
   }
}

.menu {
  margin-right: 6px;
  li {
    a {
      @apply font-normal text-gray-500 no-underline;
      &.router-link-active {
         @apply text-primary-500;
       }
    }
  }
}

</style>
